package com.ozs.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.ozs.common.annotation.Excel;
import lombok.Data;

/**
 * @author wyy
 * @subject
 * @creat 2023/4/13
 */
@Data
public class AlarmFreqArea {
    /**
     * 线路名称
     */
    @Excel(name = "线路名称")
    private String railwayName;

    /**
     * 线路名编码
     */
    private String railwayCode;

    /**
     * 里程位置
     */
    private String alarmMile;

    /**
     * 报警里程位置字符串形式
     */
    @Excel(name = "报警里程位置")
    private String alarmMiles;

    /**
     * 报警频次
     */
    @Excel(name = "次数")
    private Integer frequency;

    /**
     * 行别 字符串
     */
    @Excel(name = "行别")
    @TableField(exist = false)
    private String lineDirStr;

    /**
     * 行别 字符串
     */
    @TableField(exist = false)
    private Integer lineDir;
}
