package com.ozs.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ozs.common.vo.PageVo;
import lombok.Data;

import java.util.Date;

/**
 * @Author : sunhh
 * @create 2023/4/19 14:12
 */
@Data
public class BaseVehicleTerminalVo extends PageVo {
    /**
     * 是否挂载 1未挂载，2挂载
     */
    private String isMount;

    /**
     * 主键ID
     */
    private Long id;

    /**
     * 终端编码
     */
    private String terminalCode;

    /**
     * 终端名称
     */
    private String terminalName;

    /**
     * 状态 1在线2离线
     */
    private Integer status;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /**
     * 备注
     */
    private String remark;

    /**
     * 终端经度
     */
    private String terminalLongitude;

    /**
     * 终端纬度
     */
    private String terminalLatitude;
}
