package com.ozs.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ozs.common.vo.PageVo;
import lombok.Data;

import java.util.Date;

/**
 * @Author : sunhh
 * @create 2023/4/14 15:31
 */
@Data
public class BaseVehicleVo extends PageVo {

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 机车号
     */
    private String vehicleCode;

    /**
     * 机车名称
     */
    private String vehicleName;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /**
     * 备注
     */
    private String remark;

    /**
     * 挂载终端ID terminal_id
     */
    private long terminalId;
}
