package com.ozs.entity.vo;

import com.ozs.common.vo.PageVo;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Author : sunhh
 * @create 2023/3/31 16:06
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class CameraTreeVo extends PageVo implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 线路
     */
    private String railwayCode;

    /**
     * 行别
     */
    private Integer lineDir;

    /**
     * 里程位置
     */
    private String mils;
}
