package com.ozs.entity.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * @author Administrator
 */
@Data
public class HeartbeatVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 车载终端编码
     */
    private String terminalCode;
    /**
     * 机车号
     */
    private String vehicleCode;
    /**
     * 车次
     */
    private  String trainNum;
    /**
     * 机车名称
     */
    private String vehicleName;
    /**
     * 当前里程位置，单位m
     */
    private Integer currentMile;
    /**
     * 线路编码
     */
    private String railwayCode;
    /**
     * 1上行2下行
     */
    private Integer lineDir;
    /**
     * 司机目视距离，单位m
     */
    private Integer visualDistance;
    /**
     * 信号强度（1全码率 2低码率）
     */
    private Integer signalStrength;
    /**
     * 当前所在经度
     */
    private String longitude;
    /**
     * 当前所在纬度
     */
    private String latitude;
}
