package com.ozs.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ozs.common.vo.PageVo;
import lombok.Data;

import java.util.Date;

/**
 * @author wyy
 * @subject
 * @creat 2023/7/26
 */
@Data
public class MonitorSystemVo extends PageVo {
    /**
     * 主键ID
     */
    private Long id;

    /**
     * 客户端编号
     */
    private String clientId;

    /**
     *监测系统名称
     */
    private String monitorSystemName;

    /**
     *系统简介
     */
    private String systemIntroduce;

    /**
     *报警信息内容
     */
    private String alarmContent;

    /**
     *报警信息生成机制
     */
    private String alarmGenerate;

    /**
     *报警解除机制
     */
    private String alarmRelease;

    /**
     *报警对应的处理措施
     */
    private String treateMeasure;

    /**
     *状态 1在线2离线
     */
    private Integer status;

    /**
     *正式环境密钥
     */
    private String clientSecret;

    /**
     *测试环境密钥
     */
    private String testSecret;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /**
     * 备注
     */
    private String remark;
}
