package com.ozs.entity.vo;

import lombok.Data;
import java.io.Serializable;
import java.util.List;

/**
 * @author Administrator
 * 报警信息请求参数
 */
@Data
public class ReqMsgAlarmVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 报警里程位置
     */
    private Integer alarmMile;

    /**
     * 报警行别
     */
    private Integer lineDir;

    /**
     * 报警线路编码
     */
    private String alarmRailway;

    /**
     * 报警的唯一标识
     */
    private String alarmId;

    /**
     * 报警时间
     */
    private Long alarmTime;

    /**
     * 报警内容
     */
    private String content;

    /**
     * 报警病害类型（1泥石流2异物侵限 3断轨监测）
     */
    private Integer alarmType;

    /**
     * 报警级别
     */
    private Integer alarmLevel;

    /**
     * 报警置信度（百分比）
     */
    private Integer alarmConfidence;


    /**
     * 报警病害属性（可以给出泥石流的框定范围）
     */
    private String alarmAttr;

    /**
     * 报警附件集合
     */
    private Files[] files;
}
