package com.ozs.entity.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * @author Administrator
 */
@Data
public class RespHeartbeatVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 前方相机/报警相机（实时播放流）
     */
    private String currentStream;
    /**
     * 当前流是否为报警流：1是 2否
     */
    private Integer isAlarm;
    /**
     * 当前播放的相机编码
     */
    private String cameraCode;
    /**
     * 后续报警集合（配置范围内的其他报警）
     */
    private AlarmListVo[] alarmList;
    /**
     * 当前报警信息（（isAlarm为1时非空））
     */
    private AlarmInfoVo alarmInfo;
}
