package com.ozs.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ozs.entity.BaseCameraManagement;
import com.ozs.entity.SkynetHeartbeatLog;
import com.ozs.entity.vo.BaseCameraManagementVo;
import com.ozs.entity.vo.MsgAlarmVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 相机台账管理表 Mapper 接口
 * </p>
 *
 * @author ozs
 * @since 2023-02-17
 */
@Mapper
public interface BaseCameraManagementMapper extends BaseMapper<BaseCameraManagement> {

    List<BaseCameraManagement> selectCameraManagementList(BaseCameraManagementVo baseCameraManagementVo);

    Integer countCamera(MsgAlarmVo msgAlarmVo);

    Map<String, Integer> getMessageStatisticsCamera();

    SkynetHeartbeatLog selectSkynetHeartbeatLogByCameraCode(@Param("cameraCode") String cameraCode);
}
