package com.ozs.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ozs.entity.BaseDeviceDynamicManagement;
import com.ozs.entity.vo.BaseCameraManagementDto;
import com.ozs.entity.vo.BaseVehicleTerminalDto;
import com.ozs.entity.vo.CameraTreeVo;
import com.ozs.entity.vo.VehicleTreeVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * <p>
 * 设备动态管理表 Mapper 接口
 * </p>
 *
 * @author ozs
 * @since 2023-02-22
 */
@Mapper
public interface BaseDeviceDynamicManagementMapper extends BaseMapper<BaseDeviceDynamicManagement> {
    /**
     * 查相机关联数据
     */
    List<BaseCameraManagementDto> list(CameraTreeVo cameraTreeVo);

    /**
     * 查相机关联数据
     */
    List<BaseVehicleTerminalDto> vehicleTreelist(VehicleTreeVo vehicleTreeVo);
}
