package com.ozs.mapper;

import com.ozs.entity.BaseVehicleTerminal;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 机车车载终端关联表 Mapper 接口
 * </p>
 *
 * @author ozs
 * @since 2023-04-11
 */
public interface BaseVehicleTerminalMapper extends BaseMapper<BaseVehicleTerminal> {

    List<String> selectMountCode(@Param("vehicleCode") String vehicleCode);

    BaseVehicleTerminal selectTerminal(@Param("vehicleCode") String vehicleCode);
}
