package com.ozs.service;

import com.ozs.entity.MsgAlarm;
import com.ozs.entity.TerminalIgnoreAlarm;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ozs.entity.vo.MsgAlarmDTO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ozs
 * @since 2023-04-11
 */
public interface TerminalIgnoreAlarmService extends IService<TerminalIgnoreAlarm> {
    /**
     * 查询终端忽略报警信息列表
     *@param terminalCode 终端编码
     */
    List<TerminalIgnoreAlarm> list(@Param("terminalCode") String terminalCode);

    /**
     * 终端忽略报警信息根据id查询详情
     *@param id 报警编码
     */
    MsgAlarmDTO selectDetailByAlarmId(Long id);
}
