package com.ozs.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ozs.entity.VehiclePosition;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ozs.entity.vo.VehiclePositionResp;

import java.util.List;

/**
 * <p>
 * 机车行驶表 服务类
 * </p>
 *
 * @author ozs
 * @since 2023-04-11
 */
public interface VehiclePositionService extends IService<VehiclePosition> {
    //查询机车行驶日志列表分页
    List<VehiclePosition> selectVehiclePositionList(VehiclePositionResp vehiclePositionResp);

    public IPage listToPage(List list, int pageNum, int pageSize);

    List<VehiclePosition> vehiclePositionPage(VehiclePositionResp vehiclePositionResp);
}
