package com.ozs.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.ozs.common.annotation.Excel;
import com.ozs.common.vo.PageVo;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 线路管理请求参数表
 * </p>
 *
 * @author ozs
 * @since 2023-02-17
 */
@Data
public class BaseRailwayManagementVo extends PageVo implements Serializable {

    private static final long serialVersionUID = 1L;
    
    /**
     * 线路类型(1普铁2高铁3重载铁路)
     */
    private Integer railwayType;

    /**
     * 线路编码（四位数字）
     */
    @Excel(name = "编码")
    private String railwayCode;

    private List<Long> ids;
}
