package com.ozs.entity.vo;

import com.ozs.common.core.domain.BaseEntity;
import lombok.Data;

import java.io.Serializable;

/**
 * 车载终端和日志信息表
 */
@Data
public class BaseVehicleTerminalDto implements Serializable {

    private static final long serialVersionUID = 1L;

    private String id;

    /**
     * 终端编码
     */
    private String terminalCode;

    /**
     * 机车号
     */
    private String vehicleCode;
    /**
     * 机车名称
     */
    private String vehicleName;

    /**
     * 行别
     */
    private String lineDir;

    /**
     * 车辆行驶位置
     */
    private Integer travelMile;

    /**
     * 车辆所在经度
     */
    private String terminalLongitude;

    /**
     * 车辆所在纬度
     */
    private String terminalLatitude;

    /**
     * 线路名称
     */
    private String railwayName;

    /**
     * 线路编码（四位数字）
     */
    private String railwayCode;
}
