package com.ozs.entity.vo;

import com.ozs.common.annotation.Excel;
import com.ozs.common.vo.PageVo;
import lombok.Data;

import java.io.Serializable;

/**机车行驶日志页面请求参数
 * @author wyy
 * @subject
 * @creat 2023/4/12
 */
@Data
public class VehiclePositionResp extends PageVo implements Serializable {
    //机车号
    private String vehicleCode;

    //线路编码
    private String railwayCode;

    //行别
    private Integer lineDir;

    //车载状态
    private Integer status;

    /**
     * 终端编码
     */
    private String terminalCode;

    /**
     * 终端名称
     */
    private String terminalName;
}
