package com.ozs.entity.vo;

import com.ozs.common.vo.PageVo;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @Author : buzy
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class VehicleTreeVo extends PageVo implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 线路
     */
    private String railwayCode;

    /**
     * 行别
     */
    private Integer lineDir;

    /**
     * 里程位置
     */
    private String mils;

    /**
     * 关联表中的终端编码
     */
    private List<String> terminalCodeList;
}
